Package io.vertx.reactivex.sqlclient

## Class SqlClient

- java.lang.Object
- - io.vertx.reactivex.sqlclient.SqlClient

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`
  Direct Known Subclasses:
    `Pool`, `SqlConnection`

      public class SqlClient
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Defines common SQL client operations with a database server.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<SqlClient>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SqlClient​(SqlClient delegate)` |
    `SqlClient​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Future<Void>` | `close()` | Close the client and release the associated resources.
    `boolean` | `equals​(Object o)` |
    `SqlClient` | `getDelegate()` |
    `int` | `hashCode()` |
    `static SqlClient` | `newInstance​(SqlClient arg)` |
    `PreparedQuery<RowSet<Row>>` | `preparedQuery​(String sql)` | Create a prepared query, one of the `Query.execute()` or `PreparedQuery.executeBatch(java.util.List<io.vertx.reactivex.sqlclient.Tuple>)` methods must be called to execute the query.
    `PreparedQuery<RowSet<Row>>` | `preparedQuery​(String sql, PrepareOptions options)` | Create a prepared query, one of the `Query.execute()` or `PreparedQuery.executeBatch(java.util.List<io.vertx.reactivex.sqlclient.Tuple>)` methods must be called to execute the query.
    `Query<RowSet<Row>>` | `query​(String sql)` | Create a query, the `Query.execute()` method must be called to execute the query.
    `Completable` | `rxClose()` | Close the client and release the associated resources.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<SqlClient> __TYPE_ARG

  - ### Constructor Detail

    - #### SqlClient

          public SqlClient​(SqlClient delegate)

    - #### SqlClient

          public SqlClient​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public SqlClient getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### query

          public Query<RowSet<Row>> query​(String sql)

      Create a query, the `Query.execute()` method must be called to execute the query.
      Parameters:
        `sql` -
      Returns:
        the query

    - #### preparedQuery

          public PreparedQuery<RowSet<Row>> preparedQuery​(String sql)

      Create a prepared query, one of the `Query.execute()` or `PreparedQuery.executeBatch(java.util.List<io.vertx.reactivex.sqlclient.Tuple>)` methods must be called to execute the query.
      Parameters:
        `sql` -
      Returns:
        the prepared query

    - #### preparedQuery

          public PreparedQuery<RowSet<Row>> preparedQuery​(String sql,
                                                          PrepareOptions options)

      Create a prepared query, one of the `Query.execute()` or `PreparedQuery.executeBatch(java.util.List<io.vertx.reactivex.sqlclient.Tuple>)` methods must be called to execute the query.
      Parameters:
        `sql` -
        `options` -
      Returns:
        the prepared query

    - #### close

          public Future<Void> close()

      Close the client and release the associated resources.
      Returns:
        a future notified once the client is closed

    - #### rxClose

          public Completable rxClose()

      Close the client and release the associated resources.
      Returns:
        a future notified once the client is closed

    - #### newInstance

          public static SqlClient newInstance​(SqlClient arg)